This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 185827 - yum-builddep fails if installed package is no available in yum repositories
yum-builddep fails if installed package is no available in yum repositories
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-18 17:07 EST by Noa Resare
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 05:29:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2006-03-18 17:07:56 EST
Description of problem:
If I try to use yum-builddep to build something that has depedencies that I have
installed locally but doesn't exist in my yum repositories it fails with the
message "yum.Errors.YumBaseError: No Package found for LOCALLY_INSTALLED_RPM"

This is reasonable, but I think it would be nice if the utility could recogise
that this dependency is already satisfied by the installed rpms.



Version-Release number of selected component (if applicable):
yum-utils-0.5-1
Comment 1 Tim Lauridsen 2007-02-06 05:52:20 EST
Please retest with latest yum & yum-util and report back
Comment 2 Tim Lauridsen 2007-02-14 05:29:25 EST
I closing this one, if there still is a problem the reopen.

Note You need to log in before you can comment on or make changes to this bug.